mav_paletteTextureEnvPaletteSet(3)

NAME
mav_paletteTextureEnvPaletteSet - Set a palette's texture environment function.

LEVEL
Maverik Level 1

SYNTAX
void mav_paletteTextureEnvPaletteSet(MAV_palette *p, MAV_texEnvFn fn);

ARGUMENTS

MAV_palette *p
    Palette.

MAV_texEnvFn fn
    Texture environment function.

DESCRIPTION
This function sets the texture environment function for all the entries in palette p. The texture environment function controls the way textures are rendered (blend, decal, modulate or lit). Note that the setting can be overridden on a per-texture basis using mav_paletteTextureEnvSet.

SEE ALSO
@mav_paletteTextureEnvSet.